/* 
 Copyright (c) 2014-2024 Marvell International Ltd., All Rights Reserved
 Redistribution and use in source and binary forms, with or without modification, 
 are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, this list 
    of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright notice, this list 
    of conditions and the following disclaimer in the documentation and/or other materials 
    provided with the distribution.
    
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS 
 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 POSSIBILITY OF SUCH DAMAGE.
*/

#include "openSourceMtdAPITypes.h"
#include "openSourceMtdUser.h"
#include "openSourceMtdAPI.h"
#include "openSourceMtdAPIDevices.h"

/* Need one of these for each type of device to be controlled by the API. Most systems would need */
/* only one. However, the included sample code has multiple devices so these were all uncommented */
/* so the sample code could be built and run. */

/* Comment out the unused ones to save memory. */
MTD_DEV x3310deviceA0 = {
    MTD_X3310_A0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};

MTD_DEV x3310deviceA1 = {
    MTD_X3310_A1,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};

MTD_DEV x3310deviceB0 = {
    MTD_X3310_B0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};

MTD_DEV x3310deviceB1 = {
    MTD_X3310_B1,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};


MTD_DEV x3340deviceA0 = {
    MTD_X3340_A0,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};

MTD_DEV x3340deviceA1 = {
    MTD_X3340_A1,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};

MTD_DEV x3340deviceB0 = {
    MTD_X3340_B0,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};

MTD_DEV x3340deviceB1 = {
    MTD_X3340_B1,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};


MTD_DEV e2110deviceA0 = {
    MTD_E2110_A0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};

MTD_DEV e2180deviceA0 = {
    MTD_E2180_A0,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};

MTD_DEV e2180deviceA1 = {
    MTD_E2180_A1,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};


MTD_DEV x3510deviceA0 = {
    MTD_X3510_A0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};


MTD_DEV e2510deviceA0 = {
    MTD_E2510_A0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};

MTD_DEV x3520deviceA0 = {
    MTD_X3520_A0,
    MTD_TRUE,
    2,
    (MTD_PVOID)(0)
};


MTD_DEV e2520deviceA0 = {
    MTD_E2520_A0,
    MTD_TRUE,
    2,
    (MTD_PVOID)(0)
};

MTD_DEV x3540deviceB0 = {
    MTD_X3540_B0,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};


MTD_DEV e2540deviceB0 = {
    MTD_E2540_B0,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};


MTD_DEV x3540deviceB3 = {
    MTD_X3540_B3,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};


MTD_DEV e2540deviceB3 = {
    MTD_E2540_B3,
    MTD_TRUE,
    4,
    (MTD_PVOID)(0)
};

MTD_DEV x3580deviceA0 = {
    MTD_X3580_A0,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};


MTD_DEV e2580deviceA0 = {
    MTD_E2580_A0,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};


MTD_DEV x3580deviceB3 = {
    MTD_X3580_B3,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};


MTD_DEV e2580deviceB3 = {
    MTD_E2580_B3,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};

MTD_DEV x3610deviceB0 = {
    MTD_X3610_B0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};


MTD_DEV e2610deviceB0 = {
    MTD_E2610_B0,
    MTD_TRUE,
    1,
    (MTD_PVOID)(0)
};


MTD_DEV e2780AdeviceA0 = {
    MTD_E2780A_A0,
    MTD_TRUE,
    8,
    (MTD_PVOID)(0)
};


